Twincore

Twincore does not currently provide support for this item.

21 comments found.

Would this template run on Joomla 3.0?

Hi Shawnebotha,

no, this template run on joomla 2.5 and joomla 1.5

Best regards,

Twincore

by
by
by
by
by
by